cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrus Adamchik <and...@objectstyle.org>
Subject Re: Upcoming deprecations in 4.1 version
Date Tue, 20 Feb 2018 07:00:13 GMT

> On Feb 2, 2018, at 10:53 AM, Nikita Timofeev <ntimofeev@objectstyle.com> wrote:
> 
> - cayenne-joda module
> PR is already done for this, there is some discussion too [1].

With Joda stating on their site that "[..] from Java SE 8 onwards, users are asked to migrate
to java.time (JSR-310) - a core part of the JDK which replaces this project.", deprecating
it makes sense in 4.1 that requires Java 8.

> - password encoding settings in the Modeler
> This one is more about redesigning this feature, then just deprecation.
> Think this should be discussed s Just wanted to mention it here also.

This is very much in line with moving configuration of all Java strategies to DI.

> - cayenne-dbcp2 support;
> Does anyone still using this?

[..]

> For me it seems better to document how to create custom data source
> and give some examples, instead of trying to guess what will be needed by users.

Yeah, while DBCP2 by itself is probably alive and well, I'd rather we move trivial integrations
into the docs. I suspect this one falls in a "trivial" category.

In other words I am +1 on all of these.

Andrus
Mime
View raw message